# Agenten Plattform
#
# (c) 2024 Magnus Bender
# 	Institute of Humanities-Centered Artificial Intelligence (CHAI)
# 	Universitaet Hamburg
# 	https://www.chai.uni-hamburg.de/~bender
#  
# source code released under the terms of GNU Public License Version 3
# https://www.gnu.org/licenses/gpl-3.0.txt

from fastapi import APIRouter, Request
from fastapi.templating import Jinja2Templates

from ums.management.db import DB

class Interface():

	def __init__(self, template:Jinja2Templates, db:DB):
		self.template = template
		self.db = db
		
		self.router = APIRouter(
			prefix="/app",
			tags=["app, gui"]
		)
		
		self._add_routes()

	def _add_routes(self):
		@self.router.get("/", summary="Test")
		def corpus(request: Request):

			print(self.db.by_count(3))
			
			return {}